Retrieve Recommendations Snapshots

You can retrieve keyword recommendations snapshots by providing snapshot id and advertiser id for an advertiser.

📘

URL: GET /api/v1/snapshot

Note:

  • The output is generated in a “zip/gzip” file depending upon format chosen
  • The file type enclosed in zip is CSV. You can request the following type of snapshots:
    • Match Type Keyword Recommendations

Query Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the advertiserintegerYUnique numeric identifier
snapshotIdThe ID of the snapshotstringYUnique alpha numeric identifier

Sample Request for Match Type Keyword Recommendations snapshot

curl -X GET\
'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/snapshot?advertiserId=600002&snapshotId=676515467655-89ef-670d-a2c8-0157990f57f854' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \

Response

ElementDescriptionType
snapshotIdId of the snapshot to be retrieved  string
jobStatusIt is an indicator to confirm status of snapshot generation. The possible values of jobStatus are: pending, processing, done, failed, expiredstring
detailsProvides download URL when processed (once jobStatus reaches to state “done”)  string
codeThe response code can have following values:   success, failurestring

Sample Response for Match Type Keyword Recommendations snapshot

[ { "code": "success", "snapshotId": "676515467655-89ef-670d-a2c8-0157990f57f854", "details": "https://advertising.walmart.com/file/676515467655-89ef-670d-a2c8-0157990f57f854", " jobStatus ": "done" }
]

Example of the Match Type Keyword Recommendations snapshot with id “09815467655-92ef-490d-a2c8-0157990f57f867”. The file format is “CSV”:

reportDatecampaignIdcampaignNameadGroupIdadGroupNamekeywordTextsuggestedBidmatchType
5/19/20221734290camp1 1050504High Chairs convertible flip chair0.5exact
5/19/20221734290camp1 1050504High Chairs convertible flip chair0.4phrase
5/19/20221734290camp1 1050504High Chairs convertible flip chair0.3broad
5/19/20221632220camp21166084Furniture – 7L shaped desk 0.5exact
5/19/20221632220camp21166084Furniture – 7L shaped desk 0.4phrase
5/19/20221734290camp2 1166084Furniture – 7L shaped desk 0.3broad

The snapshot file is zipped CSV file format.

The response would be captured in one zip/gzip file as requested.


Did this page help you?